<?php
require_once(getabspath("classes/cipherer.php"));



$tdatadashboard = array();
$tdatadashboard[".ShortName"] = "dashboard";

$tdatadashboard[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdatadashboard[".originalPagesByType"] = $tdatadashboard[".pagesByType"];
$tdatadashboard[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdatadashboard[".originalPages"] = $tdatadashboard[".pages"];
$tdatadashboard[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdatadashboard[".originalDefaultPages"] = $tdatadashboard[".defaultPages"];


//	field labels
$fieldLabelsdashboard = array();
$pageTitlesdashboard = array();

if(mlang_getcurrentlang()=="Romanian")
{
	$fieldLabelsdashboard["Romanian"] = array();
	$fieldLabelsdashboard["Romanian"]["asociatie_id"] = "Id";
	$fieldLabelsdashboard["Romanian"]["asociatie_cod"] = "Cod";
	$fieldLabelsdashboard["Romanian"]["asociatie_denumire"] = "Denumire";
	$fieldLabelsdashboard["Romanian"]["asociatie_adresa"] = "Adresa";
	$fieldLabelsdashboard["Romanian"]["asociatie_cif"] = "Cif";
}

//	search fields
$tdatadashboard[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"asociatie", "field"=>"id" );
$tdatadashboard[".searchFields"]["asociatie_id"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"asociatie", "field"=>"cod" );
$tdatadashboard[".searchFields"]["asociatie_cod"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"asociatie", "field"=>"denumire" );
$tdatadashboard[".searchFields"]["asociatie_denumire"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"asociatie", "field"=>"adresa" );
$tdatadashboard[".searchFields"]["asociatie_adresa"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"asociatie", "field"=>"cif" );
$tdatadashboard[".searchFields"]["asociatie_cif"] = $dashField;

// all search fields
$tdatadashboard[".allSearchFields"] = array();
$tdatadashboard[".allSearchFields"][] = "asociatie_id";
$tdatadashboard[".allSearchFields"][] = "asociatie_cod";
$tdatadashboard[".allSearchFields"][] = "asociatie_denumire";
$tdatadashboard[".allSearchFields"][] = "asociatie_adresa";
$tdatadashboard[".allSearchFields"][] = "asociatie_cif";

// good like search fields
$tdatadashboard[".googleLikeFields"] = array();
$tdatadashboard[".googleLikeFields"][] = "asociatie_id";
$tdatadashboard[".googleLikeFields"][] = "asociatie_cod";
$tdatadashboard[".googleLikeFields"][] = "asociatie_denumire";
$tdatadashboard[".googleLikeFields"][] = "asociatie_adresa";
$tdatadashboard[".googleLikeFields"][] = "asociatie_cif";

$tdatadashboard[".dashElements"] = array();

	$dbelement = array( "elementName" => "asociatie_list", "table" => "asociatie",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "cell_0_0";

					$dbelement["inlineAdd"] = 0 > 0;
	$dbelement["inlineEdit"] = 0 > 0;
	$dbelement["deleteRecord"] = 0 > 0;
	$dbelement["copy"] = 0 > 0;

	$dbelement["popupAdd"] = 0 > 0;
	$dbelement["popupEdit"] = 0 > 0;
	$dbelement["popupView"] = 0 > 0;

	$dbelement["updateSelected"] = 0 > 0;


	$tdatadashboard[".dashElements"][] = $dbelement;

$tdatadashboard[".shortTableName"] = "dashboard";
$tdatadashboard[".entityType"] = 4;



$tableEvents["Dashboard"] = new eventsBase;
$tdatadashboard[".hasEvents"] = false;


$tdatadashboard[".tableType"] = "dashboard";



$tdatadashboard[".addPageEvents"] = false;

$tdatadashboard[".isUseAjaxSuggest"] = true;

$tables_data["Dashboard"]=&$tdatadashboard;
$field_labels["Dashboard"] = &$fieldLabelsdashboard;
$page_titles["Dashboard"] = &$pageTitlesdashboard;

?>